Squeeze nem frissül

 ( freeroute | 2010. december 15., szerda - 15:56 )

Sziasztok,

Jó pár hete nem tudom frissíteni az egyik otthoni gépemet. Csak CLI, nincs rajta grafikus környezet.
OS: Debian - Testing ág

apt-get clean megvolt.
aptitude update && aptitude safe-upgrade megvolt sikertelenül futott le.
aptitude full-upgrade sem segített.
/etc/apt/sources.list átálltam másik tárolóra. Ez sem segített.

Van ötletetek? Vagy várjak, mivel testing ágat használok, lehet hogy később menni fog a frissítés?

A hibaüzenet itt található meg: http://hup.pastebin.com/6StTjqeg

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Emlit par initscriptet hibakent (ath0_preup, iptables_rules, ath0_postdown). Azok csomagbol jottek, vagy sajat termes?

Saját script-ek. Hiányoznak belőle az LSB tagok. Korábban is jelezte, eddig nem okozott a frissítésnél problémát. Most már viszont telepíteni sem tudok semmit, mert hasonló hibaüzenettel leáll.

Ezt találtam: http://lintian.debian.org/tags/init.d-script-missing-lsb-section.html

Rakd bele a stuffokat, vagy ideiglenesen mozgasd arrebb a scripteket. Nem fog sirni, menni fog upgrade. Mission accomplished.

+1 én is erre tippelek.

Neked volt igazad. Ideiglenesen átmozgattam a scripteket. Ezután sikerült a frissítés. Átmeneti megoldás csak, mivel ezután az update-rc.d nem volt hajlando ujra elkészíteni a linkeket a futtatási szintekre. Kénytelen voltam megcsinálni. Most már működik. Köszönöm a tippet.

PS: Ugyanez a script laptopon is fent van. Ott nincs vele gond.
OS: Debian - Testing szintén.

Nemrég én is így jártam, nekem lokálisan telepített deb csomag okozta. Miután eltávolítottam hiba nélkül lefutott az apt-get upgrade.

Ha ez lenne a megoldás, jó is lenne. Én csak repository-ból telepítek.

dpkg --configure --pending

Holnap próba.Majd jelentkezem az eredménnyel. Köszönöm.

Szerintem az insserv bugba futottál bele, keress rá, be van jelentve.